ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-7068) BE: HDP 2.0.6 stack_advisor.py should be tolerant of services not owned by it
Date Wed, 03 Sep 2014 23:43:52 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-7068?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14120695#comment-14120695
] 

Hudson commented on AMBARI-7068:
--------------------------------

FAILURE: Integrated in Ambari-trunk-Commit #128 (See [https://builds.apache.org/job/Ambari-trunk-Commit/128/])
AMBARI-7068. BE: HDP 2.0.6 stack_advisor.py should be tolerant of services not owned by it
(sgunturi: http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=dc269bb1588bee0bf6619f8a70ad1f144591ca09)
* ambari-server/src/test/python/TestStackAdvisor.py
* ambari-server/src/main/resources/stacks/HDP/1.3.3/services/stack_advisor.py
* ambari-server/src/main/resources/stacks/HDP/1.3.2/services/stack_advisor.py
* ambari-server/src/main/resources/stacks/HDP/1.3/services/stack_advisor.py
* ambari-server/src/main/resources/stacks/stack_advisor.py
* ambari-server/src/main/resources/stacks/HDP/2.1/services/stack_advisor.py
* ambari-server/src/main/resources/stacks/HDP/2.0.6/services/stack_advisor.py
* ambari-server/src/main/resources/scripts/stack_advisor.py
* ambari-server/src/test/python/stacks/2.0.6/common/test_stack_advisor.py


> BE: HDP 2.0.6 stack_advisor.py should be tolerant of services not owned by it
> -----------------------------------------------------------------------------
>
>                 Key: AMBARI-7068
>                 URL: https://issues.apache.org/jira/browse/AMBARI-7068
>             Project: Ambari
>          Issue Type: Bug
>          Components: stacks
>    Affects Versions: 1.7.0
>            Reporter: Srimanth Gunturi
>            Assignee: Srimanth Gunturi
>             Fix For: 1.7.0
>
>         Attachments: AMBARI-7068.patch
>
>
> Edit {{ambari/ambari-server/src/main/resources/stacks/HDP/2.0.6.GlusterFS/metainfo.xml}}
and change {{<active>}} to true. Restart ambari-server and try to install the newly
active stack-version. The script fails with a null in the response (file attached). 
> Since these python scripts will be extendable, we need to tolerate services and components
that do not belong to this stack-version. If there is no special requirement, the components
should be evenly distributed among the available hosts.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message